Initialize a new `Progress` bar test reporter.

see

  https://mochajs.org/api/Mocha.reporters.Progress.html

### Hierarchy

- Progress

## Index

### Interfaces

- MochaOptions
- ReporterOptions

### Constructors

- constructor

## Constructors

### constructor

- new Progress(runner: Runner, options?: MochaOptions): Progress
- new Progress(runner: IRunner, options?: MochaOptions): Progress

- - Defined in node_modules/@types/mocha/index.d.ts:1026

  #### Parameters

  - ##### runner: Runner

  - ##### Optional options: MochaOptions

  #### Returns Progress

- - Defined in node_modules/@types/mocha/index.d.ts:1027
  deprecated

    Use the overload that accepts `Mocha.Runner` instead.

  #### Parameters

  - ##### runner: IRunner

  - ##### Optional options: MochaOptions

  #### Returns Progress

Generated using TypeDoc